Subject: Re: [pim] Issues with pim registers

From: Anish Peter <[email-masked]>
Date: Thu, 10 May 2018 19:12:13 +0530

Hi Working Group,
 We started working on pim registers primarily because of 2 problems seen.
1. PIM register scaling problems
  1.a Frequent soft-state refreshes
  1.b Only one pim s,g state info in a pim packet.
  1.c per-sg register-state timer in FHR and RP
2. PIM register state timeout issues.
   If a pim register or a register-stop message is dropped, FHR starts
forwarding line-rate traffic en-capped as pim registers until it gets a
R-S.
3. Initial packet loss.
   PIM ASM was designed with the objective of avoiding initial packet loss.
But this requirement does not seem to have that much of demand from for
multicast applications seen presently.
4. A better scalable anycast-RP mechanism
5. MSDP for ipv6

   draft reliable-pim-registers was published keeping in mind first 4 of
these problems.

 As it stands now Pim Over Reliable Transport is seen as the answer for
multicast scaling requirements, the proposals of this draft are independent
extensions to PORT.

Regards,
Anish

On Fri, Apr 27, 2018 at 12:26 AM, Vikas Ramesh Kamath (vikkamat) <
[email-masked]> wrote:

> Hello,
>
>
>
> As part of draft-ramki-pim-null-register-packing, we have proposed a new
> standard for PIM NULL register and register stop messages. The motivation
> for this draft came from the issues seen in customer environments where the
> high number of PIM NULL registers were causing traffic drops.
>
>
>
> We believe this new packet format will not only solve the above mentioned
> problem but also will help in optimizing bandwidth in the network by
> minimizing the number of NULL registers/register stops exchanged in the
> network. Please let us know your thoughts/feedback on this
>
>
>
> Thanks,
>
> Vikas
>
>
>
> On 4/20/18, 12:46 PM, "pim on behalf of Stig Venaas" <[email-masked]
> on behalf of [email-masked]> wrote:
>
>
>
>     Hi, I'm posting this as a WG chair.
>
>
>
>     In the last meeting we had presentations of two drafts proposing
>
>     alternatives or changes to the existing pim register mechanism, but we
>
>     didn't have time to discuss them. The drafts were:
>
>
>
>     draft-ramki-pim-null-register-packing
>
>     draft-anish-reliable-pim-registers
>
>
>
>     It would be great if people can provide comments on the drafts. I also
>
>     think it could be a good start if we could have a discussion about
>
>     what problems people are seeing today. What issues motivated the
>
>     authors to propose these drafts, and what issues are other people
>
>     seeing with the current pim register mechanism.
>
>
>
>     I believe these mechanisms may also apply to pim anycast-RP, so issues
>
>     with that could also be interesting to consider.
>
>
>
>     I'm hoping this email can start some discussion. While I'm suggesting
>
>     discussing pim register issues in particular, any thoughts people have
>
>     would be more than welcome.
>
>
>
>     Thanks,
>
>     Stig
>
>
>
>     _______________________________________________
>
>     pim mailing list
>
>     [email-masked]
>
>     https://www.ietf.org/mailman/listinfo/pim
>
>
>
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim
>
>